Skip to content

EventsSummary

Object

Summary information for events across a time range. Includes total count and counts by buckets.

Fields

FieldTypeDescription
totalInt!

The total number of Events within the time range.

startedCountInt!

The number of events which started within the time range.

endedCountInt!

The number of events which ended within the time range.

summaryStatisticsEventsSummaryStatistics!

Summary statistics for all events within the summary’s time range and filters.

buckets[EventsSummaryBucket!]

A detailed summary of each bucket within the time range. Summary buckets are only returned if eventsBucket is provided as a query parameter to eventsSummary.

highestTotalBuckets[EventsHighestTotalBucket!]!

The bucket(s) with the greatest total across the parent’s buckets. Empty if no eventsBucket was provided. All tied buckets are returned per group.

Arguments
NameTypeDescription
groupByEventsSummaryBucketType

Dimensions to keep distinct when finding the max. Must align with the query’s eventsBucket: groupBy.fields must be a subset of eventsBucket.fields, and groupBy.size must equal eventsBucket.size if set. If null, returns the single bucket with the greatest total across all buckets (plus any ties).

metadataKeys[String!]

The distinct top-level keys found in the metadata field across all matching events. Useful for discovering available metadata keys that can be used for metadata bucketing.